soduu

Question about the qualitywings 787

Recommended Posts

Hi everyone! I have a question about the 787 of qualitywings. If i buy now the 787 for prepar3d v4.3, if in the future p3d puts a new version of the simulator like v5, the 787 i bought i can use it in that version (v.5) or i have to buy it again?

 

Thanks everyone!

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

It is going to depend on what LM puts in P3Dv5. If they keep it backward compatible with P3Dv4 airplanes, which they almost certainly will, I guess you do not need to buy it again.

If LM puts in a lot of new features/functions in P3Dv5 that QW wants to implement to the 787, they sure wants to get a pay back for it.

But a clear answer to your question is probable not available today.

  • Like 1

Share this post


Link to post
2 hours ago, nas123 said:

It is going to depend on what LM puts in P3Dv5. If they keep it backward compatible with P3Dv4 airplanes, which they almost certainly will, I guess you do not need to buy it again.

If LM puts in a lot of new features/functions in P3Dv5 that QW wants to implement to the 787, they sure wants to get a pay back for it.

But a clear answer to your question is probable not available today.

Thanks for the answer! Have a nice day!

Share this post


Link to post

The good news is that generally speaking, both Quality Wings and Flight 1 have traditionally been quite generous in situations such as this. Buyers of the FSX 787 got a substantial discount if they then bought the P3D version. The same was true for the iFly 737 and the iFly 747, both of these were offered at a substantial discount in their P3D version for people who'd previously bought the FSX version.

The other good news is that instead of worrying about a situation which is doubtless a long way off, the QW 787 is a nice add-on which you can enjoy today in your present sim. It has the odd minor issue, but it's still a lot of fun. 🙂

Share this post


Link to post

can someone tell me if the immersion 787 package works for p3dv4 version or is it just the fsx version.

many thanks 

Share this post


Link to post
Posted (edited)

Down toward the bottom of FSDT's page -

" 787 Immersion is compatible with all popular texture enhancement add-ons and weather engines available for Flight Simulator X and Prepar3D V4. "

I'm glad that you asked I hadn't thought to check that.

 

ill

 

Edited by Bill Griffith
addition

Share this post


Link to post
8 hours ago, Bill Griffith said:

Down toward the bottom of FSDT's page -

" 787 Immersion is compatible with all popular texture enhancement add-ons and weather engines available for Flight Simulator X and Prepar3D V4. "

I'm glad that you asked I hadn't thought to check that.

 

ill

 

cheers thanks

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now